package ink.wgink.module.menu.controller.route;

import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: MenuRouteController
 * @Description: 菜单路由
 * @Author: wanggeng
 * @Date: 2021/2/10 1:43 下午
 * @Version: 1.0
 */
@Api(tags = ISystemConstant.API_TAGS_SYSTEM_PREFIX + "菜单路由接口")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/menu")
public class MenuRouteController {

    @GetMapping("list-tree")
    public ModelAndView listTree() {
        return new ModelAndView("menu/list-tree");
    }

    @GetMapping("list-tree-root")
    public ModelAndView listTreeRoot() {
        return new ModelAndView("menu/list-tree-root");
    }

    @GetMapping("list-tree-select")
    public ModelAndView listTreeSelect() {
        return new ModelAndView("menu/list-tree-select");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("menu/list");
    }

    @GetMapping("icon")
    public ModelAndView icon() {
        return new ModelAndView("menu/icon");
    }

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("menu/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("menu/update");
    }

}
